Bug 1027712 - "username" field in IPA webUI login page should be mandatory
"username" field in IPA webUI login page should be mandatory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 05:26 EST by Jeeva Kandasamy
Modified: 2015-03-05 05:09 EST (History)
4 users (show)

See Also:
Fixed In Version: ipa-4.0.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 05:09:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
html source (1.04 KB, text/plain)
2013-11-07 05:26 EST, Jeeva Kandasamy
no flags Details
WebUI login Page (75.10 KB, image/jpeg)
2013-11-07 05:27 EST, Jeeva Kandasamy
no flags Details
Verified WebUI login Page (147.50 KB, image/png)
2015-01-05 13:29 EST, Varun Mylaraiah
no flags Details

  None (edit)
Description Jeeva Kandasamy 2013-11-07 05:26:19 EST
Created attachment 820984 [details]
html source

Description of problem:
On IPA WebUi login page "username" and "password" marked as mandatory fields on the HTML source code. However it is not working for the "username" field. If you keep the "username" filed empty it is not validating in client side. It is taking it to server side for authentication.

Version-Release number of selected component (if applicable):
ipa-server-3.3.2-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. navigate on your browser(I used firefox) https://<hostname>/ipa/ui/index.html
2. keep empty "username" field
3. enter some value on "password" field
4. Click on "Login" button.

Actual results:
If you keep the "username" filed empty it is not validating in client side. It is taking it to server side for authentication.

Expected results:
These type validation should happen on client side.

Additional info:
Screen shot and html source code files are attached.
Comment 1 Jeeva Kandasamy 2013-11-07 05:27:21 EST
Created attachment 820985 [details]
WebUI login Page
Comment 3 Martin Kosek 2013-11-07 06:38:58 EST
Thanks for your report. The ability to enter this form without login++password is intentional - it translates to log in with Kerberos as written in the dialog. When user and password is entered, it logs in with user+password.

However, you are right that you should not be able to fill in just password, the dialog should require user to be filled as well. I will open an upstream ticket for that.
Comment 4 Martin Kosek 2013-11-07 06:40:55 EST
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4017
Comment 8 Varun Mylaraiah 2015-01-05 13:29:19 EST
Created attachment 976547 [details]
Verified WebUI login Page

Verified.

IPA version:
------------
ipa-server-4.1.0-12.el7.x86_64
Comment 10 errata-xmlrpc 2015-03-05 05:09:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0442.html

Note You need to log in before you can comment on or make changes to this bug.